Bug 9300 - vfs_streams_depot creates lost-<rand()> directories on shares
vfs_streams_depot creates lost-<rand()> directories on shares
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 12:10 UTC by Björn Baumbach
Modified: 2012-10-31 11:06 UTC (History)
1 user (show)

See Also:


Attachments
add delete_lost option to streams_depot module (5.11 KB, patch)
2012-10-18 12:16 UTC, Björn Baumbach
metze: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2012-10-18 12:10:14 UTC
In the case of an already existing data streams directory for a newly created file the streams directory will be renamed to "lost-%lu", random(). The lost- dirs are placed in the share root directory.
Comment 1 Björn Baumbach 2012-10-18 12:16:42 UTC
Created attachment 8088 [details]
add delete_lost option to streams_depot module

With the delete_lost option lost stream directories will be removed instead of renamed.
Comment 2 Stefan Metzmacher 2012-10-18 12:22:56 UTC
Comment on attachment 8088 [details]
add delete_lost option to streams_depot module

Looks ok
Comment 3 Björn Baumbach 2012-10-30 11:00:36 UTC
Karolin, please pick for v4-0-test.
Comment 4 Karolin Seeger 2012-10-31 08:55:37 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2012-10-31 11:06:15 UTC
(In reply to comment #4)
> Pushed to autobuild-v4-0-test.

Pushed to v4-0-test.
Closing out bug report.

Thanks!